AppleX11 Required for Open Office? I thought I don't need it with 10.4.8?

Discussion in 'Mac Apps and Mac App Store' started by Philberttheduck, Dec 21, 2006.

  1. Philberttheduck macrumors 6502a

    Philberttheduck

    Joined:
    Mar 15, 2006
    Location:
    HB, CA
    #1
    I'm trying to open up Open Office and install it into my computer as a substitute to Microsoft Office. Unfortunately, the installer to open office says "You need AppleX11 to continue." What's wrong with my mac?
     
  2. mkrishnan Moderator emeritus

    mkrishnan

    Joined:
    Jan 9, 2004
    Location:
    Grand Rapids, MI, USA
    #2
    Nothing's wrong with your Mac. OpenOffice.Org runs in the X11 windowing environment on Macs. It always has. The NeoOffice variant runs inside Aqua. But OOo does not and never has. This has nothing to do with Tiger.

    Two choices:

    1) Get Neo instead of OOo

    2) Install X11 as OOo suggested you should. To do this, insert the OS X install DVD in the drive (disc 1), open it in Finder, scroll down to the bottom of the main window, and run the optional installs package. When you get to the part that asks you what you want to install, make sure X11 is on the to do list. Do not accidentally install the X11 developer tools, as this is something else entirely. If you've succeeded, you will have an application called X11.app in your utilities (I think) folder. And OOo will run correctly.
     
  3. Mernak macrumors 6502

    Joined:
    Apr 9, 2006
    Location:
    Kirkland, WA
    #3
    Here is another vote for NeoOffice. my only complaint is that it is a ram hog (but OOo is about the same).
     
  4. Philberttheduck thread starter macrumors 6502a

    Philberttheduck

    Joined:
    Mar 15, 2006
    Location:
    HB, CA
    #4
    Thanks alot, mkrishnan. I'm going to go for NeoOffice.
     

Share This Page